<?php require_once('Connections/cn.php'); ?>
<?php session_start();
 if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }  
  $id_usuario=@$_POST["xcedula"];
  $userType=@$_POST["xtipo_usuario"];
 
  $privilegios=$_SESSION['PRIVILEGIO'];
  $respuesta=$_POST['respuesta'];

  mysql_select_db($database_cn, $cn);
  mysql_query ("SET NAMES 'utf8'");
  $sql = "select respuesta from usuarios where cedula='$id_usuario' and respuesta='$respuesta' and tipo_usuario='$privilegios'";
	$rs = mysql_query($sql, $cn) or die(mysql_error());
	$reg=mysql_num_rows($rs);
		
	if ($reg == 0)
	 {  
	 ?>
	 <script type="text/javascript">
	    msj="La Respuesta a su pregunta de seguridad es INCORRECTA.  Intente nuevamente"
	 	alert(msj);
	 </script>
	 <?php
	 return;
	 } 
//Busca datos del Estudiante.
if ($privilegios=='2') {
	$sql = "SELECT id_alumno, cedula, apellidos, nombres FROM alumnos where cedula='$id_usuario' or pasaporte='$id_usuario'";
	$rs = mysql_query($sql, $cn) or die(mysql_error());
	$row = mysql_fetch_assoc($rs);
	$cedula=$row['cedula'];
	$id_alumno= $row['id_alumno'];
	$apellidos= $row['apellidos'];
	$nombres= $row['nombres'];
	}

//Busca datos del Facilitador
if ($privilegios=='3') {
    $sql = "SELECT id_docente, cedula, apellidos, nombres FROM docentes where cedula='$id_usuario'";
	$rs = mysql_query($sql, $cn) or die(mysql_error());
	$row = mysql_fetch_assoc($rs);
	$cedula=$row['cedula'];
	$id_alumno= $row['id_docente'];
	$apellidos= $row['apellidos'];
	$nombres= $row['nombres'];
	}
	
//Busca datos del usuario tipo Administrativo.
if ($privilegios>'3' or $privilegios=='1') {
	$sql = "SELECT cedula, apellidos, nombres FROM usuarios_admin where cedula='$id_usuario'";
	$rs = mysql_query($sql, $cn) or die(mysql_error());
	$row = mysql_fetch_assoc($rs);
	$cedula=$row['cedula'];
	//$id_alumno= $row['id_docente'];
	$apellidos= $row['apellidos'];
	$nombres= $row['nombres'];
}	
	
?>

<html>
<head>
<title>sadce -- usuarios</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>

<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  $showrecs = 10;
  $pagerange = 10;

  $a = @$_GET["a"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];
  $ced = @$_POST["xcedula"];
  $nom = @$_POST["xnombres"];
  $apel = @$_POST["xapellidos"];
  $tipo = @$_POST["xtipo_usuario"];
  $privi=@$_POST["xprivilegios"];

  switch ($sql) {
    case "insert":
	  sql_insert($ced, $nom, $apel, $tipo, $privilegios);
      break;
  }
  if ($a=="recuperar") {
      ?>
	  <table class="bd" width="100%"><tr><td class="hr"><h2>Cambio de Contrase&ntilde;a</h2></td></tr></table>
      <?php 
     addrec($cedula, $nombres, $apellidos, $userType,$privilegios);
  }	 
  mysql_close($conn);
?>
<?php if ($a=="recuperar") {
      ?>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
<?php
}
?>
</body>
</html>

<?php function showroweditor($row, $iseditmode, $cedula, $nombres, $apellidos, $userType,$privi)
  {
  global $conn;
  // $conn=connect();

$codigo= "";

//Longitud de carácteres del código
$longitud = 5; 

//Generar codigo aleatorio
for ($i=1; $i<=$longitud; $i++)
{
$letra = chr(rand(97,122));
$codigo .= $letra;
} 

//Crear imágen del código
$imagen=imagecreate(50,20);
$fondo=imagecolorallocate($imagen,251,252,257);
$color=imagecolorallocate($imagen,0,0,0); 

//Tipo de fuente
$font = 5;
imagestring($imagen, $font, 0, 0, $codigo, $color);

//Guardar imágen con el nombre "imagen_codigo.png"
imagepng($imagen,"imagen_codigo.png"); 

?>
<table width="20%" border='0' align="center" cellpadding="1" cellspacing="3" style="border:1px solid #ccc;">

<tr>
<td  class="hr"><?php echo htmlspecialchars("Escriba su nueva contraseña")."&nbsp;" ?></td>
</tr>
<tr>
<td align="center" class="dr"><input type="password" name="password0" maxlength="15" value="<?php echo str_replace('"', '&quot;', trim($row["password0"])) ?>" onBlur="verificar_password(this.value)"> <iframe name="framePassword" id="framePassword" with="0" height="0" frameborder="0"></iframe></td>
</tr>
<tr>
<td  class="hr"><?php echo htmlspecialchars("Confirme su nueva contraseña")."&nbsp;" ?></td>
</tr>
<tr>
<td align="center" class="dr"><input type="password" name="password1" maxlength="15" value="<?php echo str_replace('"', '&quot;', trim($row["password1"])) ?>" onBlur="verificar_password_eq(document.chgPassword.password0.value, this.value)"> <iframe name="framePasswordEQ" id="framePasswordEQ" with="0" height="0" frameborder="0"></iframe></td>
</tr>
<tr>
<td  class="hr"><?php echo htmlspecialchars("Código de confirmación")."&nbsp;" ?></td>
</tr>
<tr>
<td align="center" class="dr" >
<img align="baseline" src="imagen_codigo.png" border="0"></td>
</tr>
<tr>
<td  class="hr"><?php echo htmlspecialchars("Escriba el código de confirmación")."&nbsp;" ?></td>
</tr>
<tr>
<td align="center" class="dr" >
<input id="codigo" name="codigo" type="text"  maxlength="5" >
</td>
</tr>
</table>
<input type="hidden" name="codigo1" value="<?php echo $codigo; ?>">
<?php } ?>


<?php function addrec($cedula, $nombres, $apellidos, $userType, $privilegios)
{
global $conn;
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="2">
<tr>
</tr>
<tr>
<td>&iexcl;Bienvenid@!</td>
</tr>
<tr>
<td colspan="2"><?php echo $nombres." ".$apellidos; ?></td>
</tr>
<tr>
<td colspan="2" class="dr">Para realizar el cambio de su contraseña complete los siguientes datos</td>
</tr>
</table>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
<form name="chgPassword" id="chgPassword"  enctype="multipart/form-data" action="cambiar_password.php" method="post" onSubmit="return validar_datos_usuario()">
<p><input type="hidden" name="sql" value="insert"></p>
<p><input type="hidden" name="xnombres" value="<?php echo $nombres; ?>"></p>
<p><input type="hidden" name="xapellidos" value="<?php echo $apellidos; ?>"></p>
<p><input type="hidden" name="xcedula" value="<?php echo $cedula; ?>"></p>
<p><input type="hidden" name="xtipo_usuario" value="<?php echo $userType; ?>"></p>
<p><input type="hidden" name="xprivilegios" value="<?php echo $privilegios; ?>"></p>

<?php
$row = array(
  "tipo_usuario" => "",
  "cedula" => "",
  "username" => "",
  "password" => "",
  "password0" => "",
  "password1" => "",
  "apellidos" => "",
  "nombres" => "",
  "vencimiento_password" => "",
  "ultimo_acceso_in" => "",
  "ultimo_acceso_out" => "",
  "pregunta" => "",
  "respuesta" => "");
showroweditor($row, false, $cedula, $nombres, $apellidos, $userType, $privi);
?>
<table align="center" class="tbl" border="0" cellspacing="1" cellpadding="5" width="50%">
<td colspan="2" class="dr" align="center"><p><input align="middle" type="submit" name="action" value="Guardar Cambio"></p></td>
</table>
</form>
<?php } ?>

<?php function connect()
{
  // $conn = mysql_connect("localhost", "siace_admin", "j7BnJdCGzyQBGcud");
  // mysql_select_db("enaph_siace");
  // mysql_query ("SET NAMES 'utf8'");
  // return $conn;
}


function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  $sql = "SELECT `tipo_usuario`, `cedula`, `username`, `password`, `apellidos`, `nombres`, `vencimiento_password`, `ultimo_acceso_in`, `ultimo_acceso_out`, `pregunta`, `respuesta` FROM `usuarios`";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  $sql = "SELECT COUNT(*) FROM `usuarios`";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert($ced, $nom, $apel, $tipo,$privilegios)
{
  global $conn;
  global $_POST;
 
  $password=md5(@$_POST["password0"]);
  $sql = "update `usuarios` set  `password`= '$password' where cedula='$ced' and tipo_usuario='$privilegios'";
echo $sql;
return;
  mysql_query($sql, $conn) or die(mysql_error());
  ?>
  <script type="text/javascript" language="javascript">
     alert("Cambio de contraseña procesada exitosamente");
  </script>
   <?php
}

function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`tipo_usuario`";
  if (@$_POST["xtipo_usuario"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xtipo_usuario"], false);
  };
  $pk .= ") and ";
  $pk .= "(`cedula`";
  if (@$_POST["xcedula"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xcedula"], true);
  };
  $pk .= ")";
  return $pk;
}
 ?>


<script type="text/javascript">
	
	function validar_datos_usuario()
	{
	 	
		if(document.chgPassword.password.value==""){
			alert("El campo <<Contraseña Actual>> es obligatorio");
			document.chgPassword.password.focus();
			return false;
			}	
		if(document.chgPassword.password0.value==""){
			alert("El campo <<Nueva Contraseña>> es obligatorio");
			document.chgPassword.password0.focus();
			return false;
			}		
		if(document.chgPassword.password1.value==""){
			alert("Es obligatorio <<Confirmar>> su contraseña");
			document.chgPassword.password1.focus();
			return false;
			}
		if(document.chgPassword.codigo.value==""){
			alert("El campo <<Código de Confirmación>> es obligatorio");
			document.chgPassword.password1.focus();
			return false;
			}												
			return true;
	}
	

function verificar_password(psw)
{
 	if (psw!="")
	 {
	 url="validar_password_chg.php?psw="+psw;
	 framePassword.location=url;
	 }
}

function verificar_actual(pswActual,cedula)
{
 	if (pswActual!="")
	 {
	 url="validar_psw_actual.php?pswActual="+pswActual+"&cedula="+cedula;
	 frameActual.location=url;
	 }
}

function verificar_password_eq(psw, psw1)
{
 	if (psw1!="")
	 {
	 url="validar_password_eq_chg.php?psw="+psw+"&psw1="+psw1;
	 framePasswordEQ.location=url;
	 }
}
</script>
